com.pb.lisdk.grid.geohash

## Class GeoHashProvider

- java.lang.Object
- - com.pb.lisdk.grid.geohash.GeoHashProvider

All Implemented Interfaces:
  IGridCellProvider

    public class GeoHashProvider
    extends Object
    implements IGridCellProvider

### Constructor Summary

Constructors
Constructor and Description
`GeoHashProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List` `getRootCells()` Get a list of the grid cells that cover the earth at the highest level.
`SpatialInfo` `getSpatialInfo()` Get the spatial information for this grid cell.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GeoHashProvider

    public GeoHashProvider()

### Method Detail

#### getSpatialInfo

    public SpatialInfo getSpatialInfo()

Description copied from interface: `IGridCellProvider`
Get the spatial information for this grid cell.

Specified by:
  `getSpatialInfo` in interface `IGridCellProvider`

#### getRootCells

    public List getRootCells()

Description copied from interface: `IGridCellProvider`
Get a list of the grid cells that cover the earth at the highest level.

Specified by:
  `getRootCells` in interface `IGridCellProvider`